<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	
	include '../src/function_cms.php';
	$browser_array 	= browser($_SERVER['HTTP_USER_AGENT']);
	$browser_name	= $browser_array[0];
	$browser_ver	= $browser_array[1];
	
	if ($_GET["proc"] == "upd") {
		$imgpath 			= $_POST["imgpath"];
		//$percent 			= $_POST["percent"];
		$width 				= $_POST["width"];
		$height 			= $_POST["height"];
		$percent 			= round ($width*100/$_SESSION["area_width"]);
		//echo '$percent='.$percent;	// test
		$file_type 			= $_POST["file_type"];
		$align 				= $_POST["align"];
		$img_title 			= $_POST["img_title"];
		$_SESSION['editor_page_upload_name'] = $imgpath;
		$_SESSION['percent'] = $percent;
		$_SESSION['width'] = $width;
		$_SESSION['height'] = $height;
		$_SESSION['file_type'] = $file_type;
	}else
	if ($_GET["proc"] == "add") {
		$imgpath 			= NULL;
		$percent 			= 20;
		$click_enlarge 		= 2;
		$align 				= "bottom";
		$click_img_title 	= NULL;
		$img_title 			= NULL;
		$_SESSION['editor_page_upload_name'] = NULL;
		$_SESSION['percent'] = $percent;
	}
	
	if ($_GET["call_level"] == 2){		//  サブ（編集ページから直接ではなく、表確認ページ、ネットショップ商品管理ページ等）からcallされた場合
		$pre_path 				= "../";
		$pre_path_ptn			= "\.\.\/";
	}else{
		$pre_path 				= "";
		$pre_path_ptn			= "";
	}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>画像フアィル取込み</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
$(function(){
	var ua=window.navigator.userAgent;
	var msie = false;
	var edge = false;
	var browser = "";
	if(ua.match(/MSIE/) || ua.match(/Trident/)) {
		msie = true;
		browser = "IE";
	}else
	if (ua.indexOf("Edge") > -1) {
		edge = true;
		browser = "Edge";
	}
	call_level 		= <?php echo $_GET["call_level"];?>;
	edit_area 		= "edit_area"+call_level;
	class_edit_area = ".edit_area"+call_level;
	$("#rotate_cover").css("display","none");
	<?php
	if ($_GET["proc"] == "upd") {
		echo '$("#rotate_cover").css("display","inline");';
		echo '$("#file_select").click(function(){
			$("#rotate_cover").css("display","none");
		});';
	}
	?>
	$('input:radio[name="align"]').val(["<?php echo $align;?>"]);
	$("#img_title").val("<?php echo $img_title;?>");
	
	$("#ok").click(function(){
		var imgpath 			= jQuery("#src", jQuery("#iframe1").contents()).val();
		//alert("imgpath1="+imgpath);	// test
		if (!imgpath) {
			alert('４．の【確認】がクリックされていません！');
			return;
		}
		imgpath = imgpath.replace( /\.\.\/data/g , "<?php echo $pre_path;?>data");			// 挿入先の編集エリアに合わせてパスを変更する。
		var percent				= jQuery("#percent", jQuery("#iframe1").contents()).val();
		var width 				= jQuery("#width", jQuery("#iframe1").contents()).val();
		var height 				= jQuery("#height", jQuery("#iframe1").contents()).val();
		var file_type 			= jQuery("#file_type", jQuery("#iframe1").contents()).val();
		
		var align 				= jQuery("input[name='align']:checked").val();
		var img_title			= jQuery("#img_title").val();
		var dsp_align 			= 'align="'+align+'"';
		var chtml = '<img class="editable_img" style="height:'+height+'px; width:'+width+'px; vertical-align:middle;" alt="'+img_title+'" title="'+img_title+'" src="'+imgpath+'" '+dsp_align+'>';
		var edit_area = window.opener.document.querySelector(class_edit_area);
		edit_area.focus();
		
		<?php
		if ($_GET["proc"] == "add") {																// 画像挿入の場合
			echo '
			window.opener.document.execCommand("insertImage", false, "'.$pre_path.'images/dummy.gif");
			var contents = window.opener.$(class_edit_area).html();
			//alert("contents="+contents);	// test
			if ( !(contents.match(/<img src="'.$pre_path_ptn.'images\/dummy.gif"/)) ) {
				alert("マウスのフォーカスが編集エリアから外れています！\n編集エリアの挿入位置をクリックしてから[OK]をクリックしてください。");	
				return;
			}else{
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif">/g , chtml);
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="text-align: left;">/g , chtml);
				contents = contents.replace( /<img src="'.$pre_path_ptn.'images\/dummy.gif" style="background-color: transparent;">/g , chtml);
				//window.opener.document.getElementById("edit_area").innerHTML = contents;
				window.opener.document.getElementsByClassName("edit_area'.$_GET["call_level"].'")[0].innerHTML = contents;
			}';
		}else{																							// 画像修正の場合
				echo 'window.opener.$(".editable_img:eq('.$_GET["index"].')").replaceWith(chtml);';
		}
		?>
		window.open("about:blank","_self").close();												// このページを閉じる
	});
});
</script>
</head>
<body>
<div id="container">
<div id ="mainarea">

<table>
<tr>
<td class="p_contentstitle">画像挿入</td>
</tr>
<td class="p_mng_area" >
<?php
if ($_GET["proc"] == "upd") {
	echo '<span class="guide">修正箇所を入力し【確認】【挿入】をクリックしてください。<br>※画像を回転する場合は１.でパソコンの画像ファイルを選択してください。</span>';
}else{
	if ($browser_name == "MSIE" || $browser_name == "Edge" || $browser_name == "Opera") {
		echo '<span class="guide">１、２、３、４、５、６の順番で作業してください。</span><br><span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリックしてください。</span>';	// IE、Edgeの場合、右クリックするとポップアップブロックされる。
	}else{
		echo '<span class="guide">１、２、３、４、５、６の順番で作業してください。</span><br><span class="aka2">※挿入後に修正する場合は編集エリアでダブルクリック（又は右クリック）してください。</span>';
	}
}
?>
<table class="p_proc_area">
	<tr>
	<td colspan=4 class="p_proc_title">
	１．［ファイルを選択］（または［参照］）をクリックしてパソコンの画像ファイルを選択してください。
    </td>
    </tr>
    <form action="wysiwyg_img_kakunin.php?proc=<?php echo $_GET["proc"];?>&call_level=<?php echo $_GET["call_level"];?>" target="inline" method="POST" enctype="multipart/form-data">
    <tr>
    <td height=50 colspan=4 class="p_proc_area1" >
   	<input type="file" name="filename" id="file_select" size="50"><br>
	</td>
    </tr>
    
    <tr>
    <td colspan=4 height=5 class="p_blank_line"></td>
    </tr>
	<tr>
	<td colspan=4 class="p_proc_title">
２．画像（写真）の表示サイズを選択してください。
	</td>
	</tr>
<tr>
	<td colspan="4" class="p_proc_area2">
    <div style="position:relative;width:900px;height:110px;">
    <div class="clear_cover_on" title="有料版のみの機能です。"></div>
    <div class="float_left0">表示領域の横幅(<?php echo $_SESSION["area_width"];?>px) ×</div>
    <div class="float_left0">
	<select name="size_percent" id="size_percent">
    <option value="20">20</option>
	</select></div>
    <div class="float_left0">％</div>
    <br class="clear_both">
    <input type="radio" name="xxx" value="1" >クリック時に拡大する
    <input type="radio" name="xxx" value="0" checked>しない<br>
    　※クリック時に拡大するサイズは画像の最大サイズ、または960pxの小さい方です。<br>
    　　クリック拡大画像タイトル：<input type="text" name="xxx" id="xxx" value="" size="20">　（「クリック時に拡大する」を選択した場合）<br>
    　　※画像の名前は拡大表示した画像の左下に表示されます。
    </div>
	</td>
</tr>

    
    <tr>
    <td colspan=4 height=5 class="p_blank_line"></td>
    </tr>
	<tr>
	<td colspan=4 class="p_proc_title">
３．パソコンの画像の回転を選択してください。
	</td>
	</tr>
<tr>
	<td colspan="4" class="p_proc_area2">
    <div style="position:relative;width:900px;height:100px;">
    <div class="clear_cover_on" title="有料版のみの機能です。"></div>
    <div class="float_left0">
 <img src="../images/imagerotate_none.gif" width="61" height="64" alt="そのまま">　　　<img src="../images/imagerotate_left.gif" width="61" height="64" alt="左回転"> 　　　<img src="../images/imagerotate_right.gif" width="61" height="64" alt="右回転"> 　　　<img src="../images/imagerotate_180.gif" width="61" height="64" alt="上下逆転">
 	</div>
    <br class="clear_both">
    <div style="position:relative;width:380px;height:21px;float:left;">
    <div class="float_left0">
     　  <input type="radio" name="xxx" value="0" checked>　 　 　　　 <input type="radio" name="xxx" value="0"> 　　 　　　    <input type="radio" name="xxx" value="0">　　　　　 　 <input type="radio" name="xxx" value="0">
    </div>
    <div class="clear_gray_cover_on" style="width:380px;" id="rotate_cover" title="画像ファイルを選択してから回転を選択してください。"></div>
    </div>
	</div>
	</td>
</tr>
    

    <tr>
    <td colspan=4 height=5 class="p_blank_line"></td>
    </tr>
	<tr>
	<td colspan=4 class="p_proc_title">
４．画像ファイルを選択後、下の【確認】をクリックして画像イメージを確認してください。
	   このページを閉じる場合は【閉じる】をクリックしてください。
	<?php
	if ($_GET["proc"] == "upd") echo '<br><span class="aka2"> ※１.［ファイルを選択］（または［参照］）した場合は【確認】をクリックしてください。</span>';
	?>
	</td>
	</tr>
	<tr>
	<td width=50 height=20 class="p_proc_area_left"> </td>
	<td width=200 class="p_proc_area_center"><input type="submit" value="確認"></td>
    <td width=200 class="p_proc_area_center"><input type="submit" value="閉じる" onClick="window.close();"></td>
	<td width=50 class="p_proc_area_right"> </td>
	</tr>
    </form>
    <tr>
    <td colspan=4 height=5 class="p_blank_line"></td>
</tr>
<tr>
	<td colspan="4" class="p_proc_area_leftright">
		<iframe id="iframe1" name="inline"  src="wysiwyg_img_kakunin.php?proc=<?php echo $_GET["proc"];?>&call_level=<?php echo $_GET["call_level"];?>&init=1" frameborder="0" marginheight="0" marginwidth="0" width="960" height="300" scrolling="auto" >
		<p>このページではインラインフレームを使用しています。</p>
		</iframe>
	</td>
</tr>

<form action="wysiwyg_img_insert.php" method="POST">

<tr>
	<td colspan="4" class="p_proc_title">
	５．画像配置を選択してください。
	</td>
</tr>
<tr>
	<td colspan="4" class="p_proc_area2">
    <div style="position:relative;width:900px;height:110px;">
    <div class="clear_cover_on" title="有料版のみの機能です。"></div>

    　　　 <img src="../images/image_center_s1.gif" width="61" height="64" alt="画像中央配置">  　　　　<img src="../images/image_left_s1.gif" width="61" height="64" alt="画像左配置">　　　　<img src="../images/image_right_s1.gif" width="61" height="64" alt="画像右配置"><br>
    　　 カーソル位置　　　　　左端　　　　　　 右端<br>
   　　　　　<input type="radio" name="xxx" value="xxx" checked>　　　　　　　 <input type="radio" name="xxx" value="xxx">　　　　　　　<input type="radio" name="xxx" value="xxx">
    </div>
	</td>
</tr>　　

<tr>
    <td colspan=4 height=5 class="p_blank_line"></td>
</tr>

<tr>
	<td colspan="4" class="p_proc_title">
	６．画像の名前を入力して【挿入】をクリックしてください。<br>
    ※画像の名前は画像にマウスを乗せたときに表示されます。画像の名前は検索対象にもなります。
    	</td>
</tr>

<tr>
    <td colspan="4" height=5 class="p_proc_area2">
        画像の名前 <input type="text" name="img_title" id="img_title" value="" size="20">
</td>
</tr>

<tr>
	<td width=50 height=20 class="p_proc_area_left"></td>
	<td width=200 class="p_proc_area_center"><input type="button" id="ok" value="挿入"></td>
	<td width=200 class="p_proc_area_center"></td>
	<td width=50 class="p_proc_area_right"></td>
</tr>
</form>  
</table>
</td>
</tr>
</table>
<br>
<br>
</div>
</div>
</body>
<script>window.focus();</script>
</html>
