<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	//include '../src/function_cms.php';
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor｜GoogleMapの編集</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<link href="../cssfiles/lightbox.css" rel="stylesheet" type="text/css" media="screen" >
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	$("#map_del").click(function() {
		if (confirm("GoogleMapを削除しても良いですか？")) {
			window.opener.$(".editable_map:eq(<?php echo $_GET["index"];?>)").remove();
			window.open("about:blank","_self").close();
		}else{
			return;	
		}
	});
});
</script>
</head>
<body style="padding-left:10px;">
<?php
//$url= url();
if ($_GET["proc"] == "add") {
  echo '<div class="page_title">Google Map追加</div>';
  echo '<div class="page_area">';
  echo '<span class="guide">　以下の項目を入力後、ページ下の「確認」をクリックしてください。</span><br>';
  echo '　<span class="aka">※Google Mapは最大5個まで追加できます。</span>';
}else {
  echo '<div class="page_title">Google Map修正</div>';
  echo '<div class="page_area">';
  echo '<p class="guide">　以下の項目を修正後、ページ下の「確認」をクリックしてください。</p>';
}

echo '<form action="wysiwyg_map_input_kakunin.php?proc='.$_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'&gmap_id='.$_GET["gmap_id"].'" method="POST">';	
if ($_GET['modoru'] || $_GET["editerr"]) {
	$dsp_map_height 		= $_SESSION['map_height_input'];
	$dsp_map_width 			= $_SESSION['map_width_input'];
	$dsp_jusyo 				= $_SESSION['jusyo_input'];
	$dsp_zoom_level			= $_SESSION['zoom_level_input'];
	$dsp_map_title			= $_SESSION['map_title_input'];
	$dsp_marker_title		= $_SESSION['marker_title_input'];
	$dsp_marker_contents	= $_SESSION['marker_contents_input'];
} else
if ($_GET["proc"] == "upd") {
	$dsp_map_width 					= $_POST["map_width"];
	$dsp_map_height 				= $_POST["map_height"];
	$dsp_jusyo 						= $_POST["jusyo"];
	$dsp_zoom_level					= $_POST["zoom_level"];
	$dsp_map_title 					= $_POST["map_title"];
	$dsp_marker_title 				= $_POST["marker_title"];
	$dsp_marker_contents 			= $_POST["marker_contents"];
	$_SESSION["map_margin_left"]	= $_POST["map_margin_left"];
} else
if ($_GET["proc"] == "add") {
	$dsp_map_height			= 300;
	$dsp_map_width			= 400;
	$dsp_contents 			= NULL;
	$dsp_jusyo 				= NULL;
	$dsp_zoom_level 		= 15;
	$dsp_map_title 			= NULL;
	$dsp_marker_title 		= NULL;
	$dsp_marker_contents 	= NULL;
}
$dsp_marker_contents =str_replace('<br>','&#13;',$dsp_marker_contents);
echo '<br class="clear_both">';
echo '<div class="item_title">地図の大きさ</div>';
echo '<br class="clear_both">';
echo '<div class="map_input_item">縦<input type="number" name="map_height_input" value="' . $dsp_map_height . '" style="width:40px;">px　横<input type="number" name="map_width_input" value="' . $dsp_map_width . '" style="width:40px;">px</div>';	
echo '<br class="clear_both">';
echo '<div class="item_title">住　所</div>';
echo '<br class="clear_both">';
echo '<div class="map_input_item"><input name="jusyo_input" value="'. $dsp_jusyo . '" type="text" size="70">　<img src="../images/hissu.jpg" width="36" height="20" alt="必須" align="middle"></div>';
echo '<br class="clear_both">';
echo '<div class="item_title">ズームレベル（数値が大きいほど詳細図になります。）</div>';
echo '<br class="clear_both">';
echo '<div class="map_input_item">';
echo '<select name="zoom_level_input" value="'.$dsp_zoom_level.'">';
echo '<option value="'.$dsp_zoom_level.'">'.$dsp_zoom_level.'</option>';
echo '<option value="01">01</option><option value="02">02</option>';
echo '<option value="03">03</option><option value="04">04</option>';
echo '<option value="05">05</option><option value="06">06</option>';
echo '<option value="07">07</option><option value="08">08</option>';
echo '<option value="09">09</option><option value="10">10</option>';
echo '<option value="11">11</option><option value="12">12</option>';
echo '<option value="13">13</option><option value="14">14</option>';
echo '<option value="15">15</option><option value="16">16</option>';
echo '<option value="17">17</option><option value="18">18</option>';
echo '<option value="19">19</option><option value="20">20</option>';
echo '</select>　<img src="../images/hissu.jpg" width="36" height="20" alt="必須" align="middle"></div>';
echo '<br class="clear_both">';
echo '<div class="item_title">マーカータイトル（マウスを乗せたときに表示されるタイトル）</div>';
echo '<br class="clear_both">';
echo '<div class="map_input_item"><input name="marker_title_input" value="' . $dsp_marker_title . '" type="text" size="50"></div>';
echo '<br class="clear_both">';
echo '<div class="item_title">マーカー説明（吹き出しの内容）</div>';
echo '<br class="clear_both">';
echo '<div class="map_input_item"><textarea name="marker_contents_input" cols="30" rows="5">' . $dsp_marker_contents . '</textarea></div>';
echo '<br class="clear_both"><br>';
if ($_GET["editerr"]) {
	echo '<div class="errmsg">'.$_SESSION["editerrmsg"];
	echo '</div>';
	echo '<br class="clear_both">';
}
echo '<div class="btn"><input type="submit" value="確認"></div>';
if ($_GET["proc"] == "upd") echo '<div class="btn"><input type="button" id="map_del" value="GoogleMap削除"></div>';
echo '<div class="btn"><input type="button" value="閉じる" onClick="window.open(\'about:blank\',\'_self\').close();"></div>';
echo "</form>";
?>
</div>
</body>
<script>window.focus();</script>
</html>
