<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	$index 				= $_GET["index"];
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>ＳＮＳボタン設定情報採取とpost</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	var file_fullname_value	= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".file_fullname").text();
	var sns_req_url_value	= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".sns_req_url").text();
	var tweet_button_input_value	= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".tweet_button_input").text();
	var like_button_input_value		= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".like_button_input").text();
	var share_button_input_value	= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".share_button_input").text();
	var google_button_input_value	= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".google_button_input").text();
	var upload_file_value			= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".upload_file").text();
	var ogp_title_value				= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".ogp_title").text();
	var ogp_description_value		= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".ogp_description").text();
	var dummy_page_url_value		= window.opener.$(".editable_sns_btn:eq(<?php echo $index;?>)").find(".dummy_page_url").html();

	var form = document.createElement("form");
	form.setAttribute("action", "wysiwyg_sns_mng.php?proc=upd&call_level=<?php echo $_GET["call_level"];?>&index=<?php echo $index;?>");
	form.setAttribute("method", "post");
	form.style.display = "none";
	document.body.appendChild(form);


	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "file_fullname");
	input.setAttribute('value', file_fullname_value);
	form.appendChild(input);


	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "sns_req_url");
	input.setAttribute('value', sns_req_url_value);
	form.appendChild(input);


	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "tweet_button_input");
	input.setAttribute('value', tweet_button_input_value);
	form.appendChild(input);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "like_button_input");
	input.setAttribute('value', like_button_input_value);
	form.appendChild(input);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "share_button_input");
	input.setAttribute('value', share_button_input_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "google_button_input");
	input.setAttribute('value', google_button_input_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "upload_file");
	input.setAttribute('value', upload_file_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "ogp_title");
	input.setAttribute('value', ogp_title_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "ogp_description");
	input.setAttribute('value', ogp_description_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "dummy_page_url");
	input.setAttribute('value', dummy_page_url_value);
	form.appendChild(input);

	form.submit();
	
});
</script>
</head>
<body>
</body>
</html>
