<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	$index 				= $_GET["index"];
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>画像の情報採取とpost</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	var imgpath_value			= window.opener.$(".editable_img:eq(<?php echo $index;?>)").attr("src");
	//alert(imgpath_value);	// test
	var width_value_px			= window.opener.$(".editable_img:eq(<?php echo $index;?>)").css("width");
	var width_value				= Number(width_value_px.replace( /px/g , "" ));
	var height_value_px			= window.opener.$(".editable_img:eq(<?php echo $index;?>)").css("height");
	var height_value			= Number(height_value_px.replace( /px/g , "" ));
	var img_title_value			= window.opener.$(".editable_img:eq(<?php echo $index;?>)").attr("alt");
	var align_value				= window.opener.$(".editable_img:eq(<?php echo $index;?>)").attr("align");
	//alert("align_value="+align_value);
	var parent_tag				= window.opener.$(".editable_img:eq(<?php echo $index;?>)").parent().get(0).tagName;
	//alert("parent_tag="+parent_tag);
	if (parent_tag == "A") {
		var click_enlarge_value		= 1;
		var click_img_title_value	= window.opener.$(".editable_img:eq(<?php echo $index;?>)").parent().attr("title");
		//alert("click_img_title_value="+click_img_title_value);
	}else{
		var click_enlarge_value		= 0;
		var click_img_title_value	= "";
	}
	
	var form = document.createElement("form");
	//alert("index="+<?php// echo $index;?>);	// test
	form.setAttribute("action", "wysiwyg_img_input.php?proc=upd&call_level=<?php echo $_GET["call_level"];?>&index=<?php echo $index;?>");
	form.setAttribute("method", "post");
	form.style.display = "none";
	document.body.appendChild(form);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "imgpath");
	input.setAttribute('value', imgpath_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "width");
	input.setAttribute('value', width_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "height");
	input.setAttribute('value', height_value);
	form.appendChild(input);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "click_enlarge");
	input.setAttribute('value', click_enlarge_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "align");
	input.setAttribute('value', align_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "click_img_title");
	input.setAttribute('value', click_img_title_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "img_title");
	input.setAttribute('value', img_title_value);
	form.appendChild(input);

	form.submit();
	
});
</script>
</head>
<body>
</body>
</html>
